[global]

; ======================================================================
; process

; FIXME do we want this to be "no" for systemd?
;daemonize = yes

; we are using Apache "event" MPM, which uses epoll.
events.mechanism = epoll

; this should match systemd service unit PIDFile= 
pid = /run/php/php7.4-fpm.pid

; Global max forked processes, intended for dynamic PM within a lot of pools.
; Default = zero = no limit.
; Docs say "Use it with caution" but not why.
; I am setting it to a lower value as defense against runaway/DoS.
process.max = 32

; nice(2) priority (-19=highest, 20=lowest)
process.priority = 2

; if X processes exit with SIGSEGV or SIGBUS within Y time, restart FPM
emergency_restart_threshold = 5
emergency_restart_interval = 60s

; ======================================================================
; logging

error_log = syslog

syslog.facility = local4

;syslog.ident = php-fpm

; log_level has two effects:
; (1) It determines whether or not a msg is sent to syslog.  Events of the
;     specified level and higher (more severe) are sent to syslog.
; (2) It sets the syslog priority.  All msgs sent syslog will have the
;     priority specified here, regardless of what the priority was in the program.
; The program's priority is indicated in the msg string with a text prefix
;     like "[DEBUG]" or "[NOTICE]", unrelated to the syslog priority.
; FPM knows: alert, error, warning, notice, debug (*not* info)
log_level = notice

; ======================================================================
; pools

include=/etc/php/7.4/fpm/pool.d/*.conf

; ==== END =============================================================
